<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (21) on Mon May 27 19:45:04 CEST 2024 -->
<title>Serialized Form</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-27">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="serialized-form-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#serialized-form">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<ul class="block-list">
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;<a href="com/projetdev/controleur/package-summary.html">com.projetdev.controleur</a></h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="com.projetdev.controleur.GestionBoutons">
<h3>Class&nbsp;<a href="com/projetdev/controleur/GestionBoutons.html" title="class in com.projetdev.controleur">com.projetdev.controleur.GestionBoutons</a></h3>
<div class="type-signature">class GestionBoutons extends <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/java/awt/CheckboxGroup.html" title="class or interface in java.awt" class="external-link">CheckboxGroup</a> implements <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>panneauBoutons</h5>
<pre><a href="com/projetdev/vue/PanneauBoutons.html" title="class in com.projetdev.vue">PanneauBoutons</a> panneauBoutons</pre>
<div class="block">Le panneau de boutons associé à cette fenêtre.</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;<a href="com/projetdev/vue/package-summary.html">com.projetdev.vue</a></h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="com.projetdev.vue.Fenetre">
<h3>Class&nbsp;<a href="com/projetdev/vue/Fenetre.html" title="class in com.projetdev.vue">com.projetdev.vue.Fenetre</a></h3>
<div class="type-signature">class Fenetre extends <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/javax/swing/JFrame.html" title="class or interface in javax.swing" class="external-link">JFrame</a> implements <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>logo</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/javax/swing/ImageIcon.html" title="class or interface in javax.swing" class="external-link">ImageIcon</a> logo</pre>
<div class="block">Instance pour contenir l'image du logo</div>
</li>
<li class="block-list">
<h5>logoPath</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> logoPath</pre>
<div class="block">Attribut pour stocker le chemin du logo</div>
</li>
<li class="block-list">
<h5>monPanneauBoutons</h5>
<pre><a href="com/projetdev/vue/PanneauBoutons.html" title="class in com.projetdev.vue">PanneauBoutons</a> monPanneauBoutons</pre>
<div class="block">Référence vers le panneau de boutons</div>
</li>
<li class="block-list">
<h5>monPanneauDessin</h5>
<pre><a href="com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a> monPanneauDessin</pre>
<div class="block">Référence vers le panneau de dessin</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="com.projetdev.vue.PanneauBoutons">
<h3>Class&nbsp;<a href="com/projetdev/vue/PanneauBoutons.html" title="class in com.projetdev.vue">com.projetdev.vue.PanneauBoutons</a></h3>
<div class="type-signature">class PanneauBoutons extends <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/javax/swing/JPanel.html" title="class or interface in javax.swing" class="external-link">JPanel</a> implements <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>carreLogoPath</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> carreLogoPath</pre>
<div class="block">Attribut pour stocker le chemin du symbole de Carre</div>
</li>
<li class="block-list">
<h5>cercleLogoPath</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> cercleLogoPath</pre>
<div class="block">Attribut pour stocker le chemin du symbole de Cercle</div>
</li>
<li class="block-list">
<h5>controleurCouleur</h5>
<pre><a href="com/projetdev/controleur/GestionCouleur.html" title="class in com.projetdev.controleur">GestionCouleur</a> controleurCouleur</pre>
<div class="block">Contrôleur de couleur utilisé dans l'interface utilisateur.</div>
</li>
<li class="block-list">
<h5>controleurMenu</h5>
<pre><a href="com/projetdev/controleur/GestionMenu.html" title="class in com.projetdev.controleur">GestionMenu</a> controleurMenu</pre>
<div class="block">Contrôleur du menu utilisé dans l'interface utilisateur.</div>
</li>
<li class="block-list">
<h5>ellipseLogoPath</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> ellipseLogoPath</pre>
<div class="block">Attribut pour stocker le chemin du symbole de Ellipse</div>
</li>
<li class="block-list">
<h5>font</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/java/awt/Font.html" title="class or interface in java.awt" class="external-link">Font</a> font</pre>
<div class="block">Police de caractères utilisée pour les boutons.</div>
</li>
<li class="block-list">
<h5>gommeLogoPath</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> gommeLogoPath</pre>
<div class="block">Attribut pour stocker le chemin du symbole de Gomme</div>
</li>
<li class="block-list">
<h5>largeur</h5>
<pre>int largeur</pre>
<div class="block">Largeur par défaut du trait de dessin.</div>
</li>
<li class="block-list">
<h5>libreLogoPath</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> libreLogoPath</pre>
<div class="block">Attribut pour stocker le chemin du symbole de Libre</div>
</li>
<li class="block-list">
<h5>ligneLogoPath</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> ligneLogoPath</pre>
<div class="block">Attribut pour stocker le chemin du symbole de Ligne</div>
</li>
<li class="block-list">
<h5>maFenetre</h5>
<pre><a href="com/projetdev/vue/Fenetre.html" title="class in com.projetdev.vue">Fenetre</a> maFenetre</pre>
<div class="block">Référence vers la fenêtre principale de l'application.</div>
</li>
<li class="block-list">
<h5>monControleur</h5>
<pre><a href="com/projetdev/controleur/GestionBoutons.html" title="class in com.projetdev.controleur">GestionBoutons</a> monControleur</pre>
<div class="block">Contrôleur des boutons utilisé dans l'interface utilisateur.</div>
</li>
<li class="block-list">
<h5>pleinCheckbox</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/java/awt/Checkbox.html" title="class or interface in java.awt" class="external-link">Checkbox</a> pleinCheckbox</pre>
<div class="block">Checkbox utilisée pour sélectionner le mode de dessin (plein ou non).</div>
</li>
<li class="block-list">
<h5>rectangleLogoPath</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> rectangleLogoPath</pre>
<div class="block">Attribut pour stocker le chemin du symbole de Rectangle</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="com.projetdev.vue.PanneauDessin">
<h3>Class&nbsp;<a href="com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">com.projetdev.vue.PanneauDessin</a></h3>
<div class="type-signature">class PanneauDessin extends <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/javax/swing/JPanel.html" title="class or interface in javax.swing" class="external-link">JPanel</a> implements <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>controleurSouris</h5>
<pre><a href="com/projetdev/controleur/GestionSouris.html" title="class in com.projetdev.controleur">GestionSouris</a> controleurSouris</pre>
<div class="block">Contrôleur de la souris utilisé pour interagir avec le panneau de dessin.</div>
</li>
<li class="block-list">
<h5>couleurActuelle</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/java/awt/Color.html" title="class or interface in java.awt" class="external-link">Color</a> couleurActuelle</pre>
<div class="block">Couleur actuelle.</div>
</li>
<li class="block-list">
<h5>couleurDeFond</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/java/awt/Color.html" title="class or interface in java.awt" class="external-link">Color</a> couleurDeFond</pre>
<div class="block">La couleur de fond du panneau de dessin.</div>
</li>
<li class="block-list">
<h5>couleurs</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/java/awt/Color.html" title="class or interface in java.awt" class="external-link">Color</a>&gt; couleurs</pre>
<div class="block">Liste des Couleurs utilisées lors des desins Libres.</div>
</li>
<li class="block-list">
<h5>dessinActuel</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/java/awt/Point.html" title="class or interface in java.awt" class="external-link">Point</a>&gt; dessinActuel</pre>
<div class="block">Liste des points du dessin Libre en cours.</div>
</li>
<li class="block-list">
<h5>dessins</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/java/awt/Point.html" title="class or interface in java.awt" class="external-link">Point</a>&gt;&gt; dessins</pre>
<div class="block">Liste des dessins Libres.</div>
</li>
<li class="block-list">
<h5>dimension</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/java/awt/Dimension.html" title="class or interface in java.awt" class="external-link">Dimension</a> dimension</pre>
<div class="block">La dimension du panneau de dessin.</div>
</li>
<li class="block-list">
<h5>epaisseurActuelle</h5>
<pre>int epaisseurActuelle</pre>
<div class="block">Epaisseur actuelle.</div>
</li>
<li class="block-list">
<h5>epaisseurs</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.desktop/java/awt/BasicStroke.html" title="class or interface in java.awt" class="external-link">BasicStroke</a>&gt; epaisseurs</pre>
<div class="block">Liste des épaisseurs utilisées lors des dessins Libres.</div>
</li>
<li class="block-list">
<h5>listeFormes</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="com/projetdev/modele/Forme.html" title="class in com.projetdev.modele">Forme</a>&gt; listeFormes</pre>
<div class="block">Liste des formes dessinées sur le panneau de dessin.</div>
</li>
<li class="block-list">
<h5>listeFormesBackUp</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="com/projetdev/modele/Forme.html" title="class in com.projetdev.modele">Forme</a>&gt; listeFormesBackUp</pre>
<div class="block">Liste de sauvegarde des formes pour annuler les modifications.</div>
</li>
<li class="block-list">
<h5>listePrevisualisation</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="com/projetdev/modele/Forme.html" title="class in com.projetdev.modele">Forme</a>&gt; listePrevisualisation</pre>
<div class="block">Liste des formes en prévisualisation.</div>
</li>
<li class="block-list">
<h5>maFenetre</h5>
<pre><a href="com/projetdev/vue/Fenetre.html" title="class in com.projetdev.vue">Fenetre</a> maFenetre</pre>
<div class="block">Référence vers la fenêtre principale de l'application.</div>
</li>
<li class="block-list">
<h5>nouvelleForme</h5>
<pre><a href="com/projetdev/modele/Forme.html" title="class in com.projetdev.modele">Forme</a> nouvelleForme</pre>
<div class="block">Nouvelle forme à dessiner sur le panneau.</div>
</li>
<li class="block-list">
<h5>opacity</h5>
<pre>float opacity</pre>
<div class="block">Opacité du logo.</div>
</li>
<li class="block-list">
<h5>restauration</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="com/projetdev/modele/Forme.html" title="class in com.projetdev.modele">Forme</a>&gt; restauration</pre>
<div class="block">Liste de forme permettant la restauration des formes annulées.</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</main>
</div>
</div>
</body>
</html>
